For the complete documentation index, see llms.txt. This page is also available as Markdown.

Chainstate

Get chain tip handler.

get
/chainstate
Responses
200

Chain tip retrieved successfully

application/json

Chainstate.

bitcoinBlockHeightinteger · int64 · nullableOptional

Bitcoin block height

stacksBlockHashstringRequired

Stacks block hash at the height.

stacksBlockHeightinteger · int64Required

Stacks block height.

get/chainstate

Get chainstate handler.

get
/chainstate/{height}
Path parameters
heightinteger · int64Required

Height of the blockchain data to receive.

Responses
200

Chainstate retrieved successfully

application/json

Chainstate.

bitcoinBlockHeightinteger · int64 · nullableOptional

Bitcoin block height

stacksBlockHashstringRequired

Stacks block hash at the height.

stacksBlockHeightinteger · int64Required

Stacks block height.

get/chainstate/{height}

Last updated

Was this helpful?